libzypp 17.37.10

ResPoolProxy.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/ResPool.h>`
`#include <zypp/ui/Selectable.h>`
`#include <zypp/ui/SelFilters.h>`

Go to the source code of this file.

## Classes
class | zypp::ResPoolProxy
| ResPool::instance().proxy();. More...
class | zypp::ResPoolProxy::ScopedSaveState
| Exception safe scoped save/restore state. More...
struct | zypp::ResPoolProxy::ScopedSaveState::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.